const { db, _ } = require("../../utils/http");

async function ScheduleService(data) {
  let orilist = [];
  if (data.start) {
    const T = new Date(data.start);
    const startTime = T.getTime();
    const endTime = startTime + 86400000;
    orilist = await db.collection('schedule').where({
      startTime: _.and(_.gte(startTime), _.lte(endTime))
    }).get();
  } else {
    orilist = await db.collection('schedule').limit(100).get();
  }
  return orilist.data || []
}

module.exports = {
  ScheduleService
}