import { httpOrther } from "../../utils/httpFunc";
// miniprogram/pages/home/index.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    iconList: []
  },

  clickFunc(data) {
    const index = data.currentTarget.dataset.index;
    const item = this.data.iconList[index];
    let url = ""
    if (!item.type) return
    switch (item.type) {
      case 'image':
      case 'video':
      case 'live':
        url = '/pages/mediaController/index?title=' + item.text + "&mediaType=" + item.type;
        break;
      case "schedule":
        url = '/pages/schedule/index?noToday=1&title=' + item.text;
        break;
      default:
        url = '/pages/detail/detail?title=' + item.text + "&id=" + item.id;
        break;
    }
    wx.navigateTo({ url })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function () {
    const _this = this;
    httpOrther({
      url: '/Applets/shengshizhongguo/json/shengshi.json',
      call(res) {
        _this.setData({
          iconList: res || []
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }

})

